%global srcname pybgpstream

Name:           python-%{srcname}
Version:        1.2.1
Release:        2%{?dist}
Summary:        Provides a high-level python interface for live and historical BGP data analysis
License:        GPLv2
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source
BuildRequires:  python3-devel bgpstream-devel gcc

%description
Provides a high-level interface for live and historical BGP data analysis. PyBGPStream 
requires the libBGPStream C library, available at http://bgpstream.caida.org/download.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Provides a high-level interface for live and historical BGP data analysis. PyBGPStream 
requires the libBGPStream C library, available at http://bgpstream.caida.org/download.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%doc README examples/
%{python3_sitearch}/%{srcname}-*.egg-info/
%{python3_sitearch}/_%{srcname}.cpython-*.so

%changelog
* Thu Oct 11 2018 Clinton Work <clinton@scripty.com>
- Initial python package for pybgpstream

